Browse Source

Update requirements with PHP 7.1+, MySQL 5.6+ and MariaDB 10.0.5+

Hypolite Petovan 3 weeks ago
parent
commit
a286bc98c6
No account linked to committer's email address
1 changed files with 2 additions and 2 deletions
  1. 2
    2
      INSTALL.md

+ 2
- 2
INSTALL.md View File

@@ -29,14 +29,14 @@ is self-signed).
29 29
 ## 1. Requirements
30 30
 
31 31
 - Apache with mod-rewrite enabled and "Options All" so you can use a local .htaccess file
32
-- PHP 5.6.1+ (PHP 7 recommended for performance).
32
+- PHP 5.6.1+ (PHP 7.1+ recommended for performance and official support).
33 33
 	- PHP *command line* with `register_argc_argv = true` in php.ini
34 34
 	- curl, gd (with at least jpeg support), mysql, mbstring, xml, zip and openssl extensions
35 35
 	- Some form of email server or email gateway such that PHP mail() works
36 36
 	- The POSIX module of PHP needs to be activated (e.g. RHEL, CentOS have disabled it)
37 37
 	- Composer for a Git install
38 38
 
39
-- Mysql 5.5.3+ or an equivalant alternative for MySQL (MariaDB, Percona Server etc.)
39
+- Mysql 5.6+ or an equivalent alternative for MySQL (MariaDB 10.0.5+, Percona Server etc.)
40 40
 - Ability to schedule jobs with cron (Linux/Mac) or Scheduled Tasks (Windows)
41 41
 - Installation into a top-level domain or sub-domain (without a directory/path 
42 42
   component in the URL) is preferred. This is REQUIRED if you wish to communicate

Loading…
Cancel
Save